Bug 1740229 - Validation failed: MiqSchedule: Name has already been taken
Summary: Validation failed: MiqSchedule: Name has already been taken
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.10.5
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: GA
: 5.10.9
Assignee: Yuri Rudman
QA Contact: Parthvi Vala
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1729441
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-12 13:56 UTC by Satoe Imaishi
Modified: 2019-11-28 18:39 UTC (History)
6 users (show)

Fixed In Version: 5.10.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1729441
Environment:
Last Closed: 2019-09-05 05:25:13 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ integration_tests pull 9693 'None' 'open' '[WIPTEST]New Customer Scenario Test: test_miq_schedule_validation_failed' 2019-11-28 18:39:40 UTC
Red Hat Product Errata RHSA-2019:2587 None None None 2019-09-05 05:25:29 UTC

Comment 2 CFME Bot 2019-08-14 17:01:01 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/e48bbd758e9b9f6e914d9cff9e66a9695ca79f13
commit e48bbd758e9b9f6e914d9cff9e66a9695ca79f13
Author:     Brandon Dunne <bdunne@redhat.com>
AuthorDate: Thu Aug  8 09:43:12 2019 -0400
Commit:     Brandon Dunne <bdunne@redhat.com>
CommitDate: Thu Aug  8 09:43:12 2019 -0400

    Merge pull request #19037 from yrudman/che-for-existted-sheduler-when-seeding

    Fix: do not raise error if schedule for widget exists but not linked
    (cherry picked from commit a248ba302ef069a25d4967eee97f363d41d35745)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1740229

 app/models/miq_widget.rb | 22 +-
 spec/models/miq_widget_spec.rb | 34 +
 2 files changed, 54 insertions(+), 2 deletions(-)

Comment 3 Parthvi Vala 2019-08-21 11:35:00 UTC
FIXED. Verified on 5.10.9.0.20190819184228_a6f851e.
I was able to dump the customer db successfully on the appliance without any error in the logs.

Comment 4 Parthvi Vala 2019-08-21 11:44:04 UTC
Correction - I was able to successfully start the server after dumping the database, there were no issues with seeding.
And I forgot to thanks Niladri, for helping me with this BZ. Thanks Niladri :)

Comment 6 errata-xmlrpc 2019-09-05 05:25:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2587


Note You need to log in before you can comment on or make changes to this bug.